run: exercise_06_16
	./exercise_06_16
	
exercise_06_16: exercise_06_16.o .gitignore
	g++ -g3 exercise_06_16.o -o exercise_06_16
	
exercise_06_16.ii: exercise_06_16.cpp
	g++ -g3 -E exercise_06_16.cpp -o exercise_06_16.ii
	
exercise_06_16.s: exercise_06_16.ii
	g++ -g3 -S exercise_06_16.ii -o exercise_06_16.s
	
exercise_06_16.o: exercise_06_16.s
	g++ -g3 -c exercise_06_16.s -oexercise_06_16.o
	
.gitignore:
	echo exercise_06_16 > .gitignore
	
clean:
	rm *.ii *.s *.o exercise_06_16 .gitignore

